package com.example.zxweb.utils;

import com.alibaba.fastjson.JSONObject;
import org.springframework.stereotype.Component;
import org.springframework.util.StringUtils;

/**
 * @Description ios 设备请求工具
 * @Author ZhouWenTao
 * @Date 2023/9/8 11:59
 */
@Component
public class IotUtils {
    //请求服务地址                              https://10.0.10.153:2443/api/iot/v1
    private static final String API_PREFIX = "https://10.0.10.153:2443/api/iot/v1";

    private static final JSONObject headers=JSONObject.parseObject("{\"x-consumer-username\":\"dwVendor\",\"appCode\":\"42142fd0jkbf4515853b7fcec64748f6\"}");

    public static JSONObject getApi(String apiUrl,JSONObject queryData) {

        StringBuilder sb=new StringBuilder();
        int i=0;
        for (String field : queryData.keySet()) {
            String value = (String) queryData.get(field);
            if (StringUtils.isEmpty(value)) {
                continue;
            }
            sb.append(i==0?"?":"&");
            sb.append(field).append("=").append(value);
            i++;
        }
        return RestUtil.get(API_PREFIX+apiUrl+sb,null,null,headers);
    }

    public static JSONObject postApi(String apiUrl,JSONObject requestBody){
        return RestUtil.post(API_PREFIX+apiUrl,requestBody,headers);
    }
}
